
<?php include("dh.php"); 
include("../sql/conn.php");
include("yz.php"); 
$llym = $_SERVER["HTTP_REFERER"];
?>

<?php
if ($_GET['id']=="glurl")
{

mysql_query("INSERT INTO glurl (url, bz) VALUES ('$_POST[url]','$_POST[bz]')");
mysql_query("INSERT INTO cjglurl (url, bz) VALUES ('$_POST[url]','$_POST[bz]')");

mysql_query("INSERT INTO text (name, time, ip, ing, f, bz) 
VALUES ('".$_SESSION['name']."', '".$noww."', '".$iipp."', '新增过滤链接', '0', '')");

?>
<script language="javascript">setTimeout(function (){location.href='<?php echo $llym; ?>';},2);</script>
<?
}

?>


<?php
if ($_GET['s']=="cjfok")
{
mysql_query("DELETE FROM  cjglurl  WHERE id='".$_GET['id']."'");
mysql_query("INSERT INTO text (name, time, ip, ing, f, bz) 
VALUES ('".$_SESSION['name']."', '".$noww."', '".$iipp."', '删除采集过滤', '0', '')");
?>
<script language="javascript">setTimeout(function (){location.href='<?php echo $llym; ?>';},2);</script>
<?
}

if ($_GET['s']=="fok")
{
mysql_query("DELETE FROM  glurl  WHERE id='".$_GET['id']."'");
mysql_query("INSERT INTO text (name, time, ip, ing, f, bz) 
VALUES ('".$_SESSION['name']."', '".$noww."', '".$iipp."', '删除过滤链接', '0', '')");
?>
<script language="javascript">setTimeout(function (){location.href='<?php echo $llym; ?>';},2);</script>
<?
}
?>

<table>
  <tr>
    <td valign="top">自助发布过滤链接列表<br /><?php
$result = mysql_query("SELECT * FROM glurl");
while($row = mysql_fetch_array($result))
  {
  echo "<a target=_blank href=http://".$row['url']. " >查</a>";
  echo "<input type=text value=\"";
  echo $row['url'];
  echo "\"  size=18 />";
  echo "<input type=text value=\"";
  echo $row['bz'];
  echo "\"  size=11 />";
  echo "[<a ";
    ?>onClick="return confirm('删除要小心！？')"<?php
  echo " href=glurl.php?id=".$row['id']."&s=fok >删</a>]";
  echo "<br>";
  }
?></td>
    <td valign="top">|<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
      |<br />
    |<br /></td>
    <td valign="top">批量采集过滤链接列表<br />
      <?php
$result = mysql_query("SELECT * FROM cjglurl");
while($row = mysql_fetch_array($result))
  {
  echo "<a target=_blank href=http://".$row['url']. " >查</a>";
  echo "<input type=text value=\"";
  echo $row['url'];
  echo "\"  size=18 />";
  echo "<input type=text value=\"";
  echo $row['bz'];
  echo "\"  size=11 />";
  echo "[<a ";
    ?>
      onClick=&quot;return confirm('删除要小心！？')&quot;
    <?php
  echo " href=glurl.php?id=".$row['id']."&s=cjfok >删</a>]";
  echo "<br>";
  }
?></td>
    <td valign="top">|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br>|<br></td>
    <td valign="top">
	<table height="152" >
  <form action="glurl.php?id=glurl" method="post">
  <tr>
    <td colspan="2"><div align="center">填加友情链接</div></td>
    <td>&nbsp;</td>
  </tr>
  
  <tr>
    <td height="23">地址:</td>
    <td><input name="url" type="text" size="28" /></td>
    <td>不加http://</td>
  </tr>
  <tr>
    <td height="23">文字:</td>
    <td><input name="bz" type="text" size="28" /></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td height="25">&nbsp;</td>
    <td><input name="submit" type="submit" value="增加过滤URL" /></td>
    <td></td>
  </tr>
  <tr>
    <td height="25">&nbsp;</td>
    <td></td>
    <td></td>
  </tr>
</form></table>	</td>
  </tr>
</table>




<br />
<hr>
<textarea name="textarea" cols="88" rows="3">为防止一些非法网站，不断的来刷链接，本站采取了过滤链接措施，
过的域名将不能在本站发布广告链接。
</textarea>



<?php include("../sql/close.php"); ?>